loci.formats.in

## Class SlideBook7Reader.CNpyHeader

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.CNpyHeader

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CNpyHeader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.Integer` | `mBytesPerPixel`
    `(package private) int` | `mCompressionFlag`
    `(package private) java.lang.String` | `mDataType`
    `(package private) java.lang.Boolean` | `mFortranOrder`
    `(package private) java.lang.Integer` | `mHeaderSize`
    `(package private) java.lang.Boolean` | `mLittleEndian`
    `(package private) byte` | `mMajorVersion`
    `(package private) byte` | `mMinorVersion`
    `(package private) java.lang.Integer[]` | `mShape`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CNpyHeader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `ByteArrayToInt(byte[] bytes, int offset)`
    `(package private) short` | `ByteArrayToShort(byte[] bytes, int offset)`
    `java.lang.Boolean` | `ParseNpyHeader(loci.common.RandomAccessInputStream inStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mLittleEndian

          java.lang.Boolean mLittleEndian

    - #### mFortranOrder

          java.lang.Boolean mFortranOrder

    - #### mShape

          java.lang.Integer[] mShape

    - #### mHeaderSize

          java.lang.Integer mHeaderSize

    - #### mDataType

          java.lang.String mDataType

    - #### mBytesPerPixel

          java.lang.Integer mBytesPerPixel

    - #### mCompressionFlag

          int mCompressionFlag

    - #### mMajorVersion

          byte mMajorVersion

    - #### mMinorVersion

          byte mMinorVersion

  - ### Constructor Detail

    - #### CNpyHeader

          CNpyHeader()

  - ### Method Detail

    - #### ParseNpyHeader

          public java.lang.Boolean ParseNpyHeader(loci.common.RandomAccessInputStream inStream)

    - #### ByteArrayToShort

          short ByteArrayToShort(byte[] bytes,
                                 int offset)

    - #### ByteArrayToInt

          int ByteArrayToInt(byte[] bytes,
                             int offset)

Copyright © 2026 Open Microscopy Environment